org.eclipse.jetty.server

## Class ResourceCache.Content

- java.lang.Object
- - org.eclipse.jetty.server.ResourceCache.Content

All Implemented Interfaces:
  HttpContent

Enclosing class:
  ResourceCache

    public class ResourceCache.Content
    extends Object
    implements HttpContent

MetaData associated with a context Resource.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.http.HttpContent

`HttpContent.ResourceAsHttpContent`

### Method Summary

Methods
`long` `getContentLength()`
`Buffer` `getContentType()`
`Buffer` `getDirectBuffer()`
`Buffer` `getETag()`
`Buffer` `getIndirectBuffer()`
`InputStream` `getInputStream()`
`String` `getKey()`
`Buffer` `getLastModified()`
`Resource` `getResource()`
`protected void` `invalidate()`
`boolean` `isCached()`
`boolean` `isMiss()`
`void` `release()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getKey

    public String getKey()

#### isCached

    public boolean isCached()

#### isMiss

    public boolean isMiss()

#### getResource

    public Resource getResource()

Specified by:
  `getResource` in interface `HttpContent`

#### getETag

    public Buffer getETag()

Specified by:
  `getETag` in interface `HttpContent`

#### invalidate

    protected void invalidate()

#### getLastModified

    public Buffer getLastModified()

Specified by:
  `getLastModified` in interface `HttpContent`

#### getContentType

    public Buffer getContentType()

Specified by:
  `getContentType` in interface `HttpContent`

#### release

    public void release()

Specified by:
  `release` in interface `HttpContent`

#### getIndirectBuffer

    public Buffer getIndirectBuffer()

Specified by:
  `getIndirectBuffer` in interface `HttpContent`

#### getDirectBuffer

    public Buffer getDirectBuffer()

Specified by:
  `getDirectBuffer` in interface `HttpContent`

#### getContentLength

    public long getContentLength()

Specified by:
  `getContentLength` in interface `HttpContent`

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Specified by:
  `getInputStream` in interface `HttpContent`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`